                                 Efficient Networks, Inc.

                     EnterNet 300 for Windows 9x, Me, NT4 and 2000


                                        RELEASE NOTES


OVERVIEW
This document lists the significant improvements that have been made to EnterNet 300 for 
Windows to date. Unless otherwise noted, each successive EnterNet build includes all changes
from prior builds, even if a prior build was never released. When a particular build is not
listed in this document, the improvements made in that build will be listed with the 
improvements of the next documented build.

Improvements are listed in reverse chronological order. That is, the most recent improve-
ments are listed first. As you read through these release notes, you will notice that the 
format of the notes has changed slightly as the product has evolved. To maintain 
familiarity, the original format of earlier notes was not updated.

EnterNet 300 v1.5 for Windows

This software: Cycle 11 beta rlease 3

Windows 2000 uninstallation issue resolved.

Issue regarding correctly identifying and configuring ENI 5260 modems resolved.

	
Cycle 9: Beta Release 2

ntspppoe.sys was rewritten to address Windows 2000 uninstall issue.
bcakground.jpg was redesigned with the Efficient - rather than the NTS - logo.



Cycle 8:Beta Release 1

netsetup.exe was reingineered to fix several bugs including  crashes upon uninstall, ocassional crashes upon install, unexpected display of Network Properties during install and to decrease the size of the binaries.netsetup.exe is now nsx.exe

Support was addedd for Efficient Networks Speedstream 3.0 driver package.

Support was added for Efficient Networks 52xx DSL Modems.

Windows ME sleep crash fixed

ShowUsageInformation was added to ini parameters to report usage time.

Added Polish language support

Canadian French Language Updates

Disabled functionality of Persistent Connections (INI parameter)

Server Name / Service Name changing.  New dialog is displayed if  the configured PPPoE server can not be reached, or the service is no longer offered by that  server.

The EnterNet application is closed when going into sleep/standby mode.

EnterNet folder is closed when Standby mode is entered.

More string separation

NTSPPP3
Modified to accept MRU from the remote peer. This solves issues related to working with Cisco BRAS
server

Installer: Improved update checking (old NTS installs, etc.) Closes EnterNet before an upgrade to prevent dlls with > 8.3 filenames fromcopied with 8.3 names in Windows 9x Replaced netsetup.exe with nsx.exe





EnterNet 300 v1.41a for Windows

This software:
Cycle 1: Generally Available Release

New TAP driver built to correct ocassional TAP errors in Windows 9x

Corrected issue of no assigned IP address after waking from sleep or standby mode in Windows ME.


INSTALLER ENHANCEMENTS:

Check for EnterNet DUN Driver
Checks for the presence of an EnterNet DUN driver, and displays an error message and aborts
if found.

NEW SETUP.INI KEYWORDS:

CheckForEnetDUN=TRUE  If this is FALSE, disables EnterNet DUN check described above.
DisableAutoIPConfig=FALSE  If this is TRUE, installer writes the following in the registry:

Windows 9x & Me systems:
HKLM\System\CurrentControlSet\Services\Vxd\DHCP\IPAutoConfigurationEnabled=0

Windows NT & 2000 systems:
HKLM\System\CurrentControlSet\Services\DHCP\IPAutoConfigurationEnabled=0

COMPONENTS:
New ntstap0.vxd fixed a Win9x problem with a data structure being too small.

DefaultProfileName=  If added it allows you to rename the desktop icon from "default" to 
"your custom name". To use this new keyword, you must also include the following in your 
ENTERNET.INI file, in the [Configuration] section:

DefaultProfile=00

Version 1.4
Build 10: Non-Public Release

NEW FEATURES
1.  MOTM (Message of the Moment) - a feature configured at the server if desired.
In the EnterNet.ini, under [Configuration] add the following:

MOTMShow=1
Causes motm to display in msgbox
MOTMTimeout=3
Causes msgbox to hang for 3 seconds (or whatever value you set)

Default is to print to the Messages tab in Advanced mode

2.  Fix made to bug in Localization.

Version 1.4
Build 9: Generally Available Release

IMPROVEMENTS
(All improvements to Release Candidate 2, which resulted in this Generally Available 
release, were limited to the EnterNet installer. No changes were made to the EnterNet 
binaries.)

MODIFIED THE SYSTEM FILE COPY PROCESS
To overcome a Windows 95 deficiency, the installer always performs the temporary file copy 
process during installation on Windows 95 systems. See "1.  CHANGE TO SYSTEM FILE COPY 
PROCESS" below for more information.

CORRECTED UNINSTALL ERROR
The file RAWESR.VXD (Windows 95, 98, & Me), and RAWESR.SYS (Windows NT, 2000) is now 
properly deleted during the uninstall process.

Version 1.4
Build 9: Release Candidate Two

IMPROVEMENTS
1.  On Windows 9x, during standby (or sleep) mode, the session would disconnect and 
    subsequent connects would not be able to update the routing tables. Fixed in RC2.

2.  On Windows ME, if the cable was disconnected from a 3Com ethernet controller, the system 
    would crash. Fixed in RC2.

3.  On all systems, when system enters Standby mode, an informational window will pop up to 
    warn that the connection will be taken down, and the EnterNet application will exit. 
    This is consistent with Windows DialUp Networking.  Future pop up warnings can be 
    disabled with a checkbox.

4.  On Windows ME, after waking from Standby mode, the Enternet application would be unable 
    to see the adapters. Fixed in RC2. 

5.  Added a batch file (REMOVEENTERNET.BAT) which launches the EnterNet installer with the
    -aclean switch. (See "5. Clean option removes fragments after failed installation" 
    below)

New Known Problems:
When using Windows 98/95, and changing from Sleep (power saver) mode to Standby mode, the 
next connection may recieve a delay of up to 45 seconds. This is a known bug in the 
Microsoft connection software library. See Microsoft Knowledge Base article Q152569 for 
details.


Build 9: Release Candidate One

INSTALLER IMPROVEMENTS 

1.  CHANGE TO SYSTEM FILE COPY PROCESS 
When installing networking software, Windows typically attempts to reinstall files that 
already exist in either the Windows or the Windows\System folder. If the user installed 
Windows from a CD (rather than from the hard drive as would typically be the case if the 
user purchased a new computer with Windows pre-installed), then Windows typically asks the 
user to provide the Windows installation CD, even though many of the files Windows seeks 
already exist on the hard drive. To reduce the occurrence of users perhaps unnecessarily 
providing their Windows installation CD during EnterNet installation, the EnterNet installer 
was modified to perform the following tasks: 

* Copy files from the Windows and the Windows\System folders to the Windows\INF folder on 
  the local hard drive.
 
* Change the Setup SourcePath value in the Windows registry to point to the Windows\INF 
  folder. 

* Complete the installation of EnterNet. 

* Delete the files that were copied to the Windows\INF folder, leaving the original files in 
  place. 

* Set the Windows Setup SourcePath value back to its original state. 

In version 1.4, the installer only performs the temporary file copy process if it determines
that the Windows Setup SourcePath is pointing to other than a local fixed drive, and the 
system is already configured with a suitable network adapter (an Ethernet adapter with a 
TCP/IP binding). For those Windows installations that were performed from a local fixed 
drive, the file copy process is not performed and the SourcePath is not redefined. Instead, 
Windows is allowed to copy files from the designated Windows Setup folder on the local fixed
drive from which Windows was installed. 

2.  ADAPTER AND TCP CHECK 

On all Windows platforms, the EnterNet installer now checks the system to determine if an 
appropriate network adapter, with a TCP/IP binding, is present. If no such adapter is 
present, the user is presented with a message indicating that EnterNet will install 
correctly but will not work until an adapter is installed and bound with TCP. (A keyword 
that suppresses this message has been added. See below for details.) 

3.  New installer SETUP.INI parameters to improve installer flexibility: 

AskNameAndPassword= 
If this value is set to true (1), then during EnterNet installation the user will be 
prompted to provide a valid User Name and Password. The default value is false (0). 

AskNetworkName= 
If this value is set to true (1), then during EnterNet installation the user will be 
prompted to provide a valid Network name (typically domain.ext). The default value is 
false (0).

SupressAdapterWarning= 
If this value is set to true (1), then the user will not be warned if the EnterNet installer 
determines that no suitable network adapter exists in their system. A suitable adapter is 
an Ethernet adapter with a TCP binding. 

4.  Installer SETUP.INI parameter deleted: 

The WinCDNeeded= keyword has been deleted because the improvement described in 1 above has 
rendered it obsolete. 

5.  Clean option removes fragments after failed installation

A command line switch has been added that allows the installer to climate all remnants of a
failed installation attempt. The following command runs the cleaner:  
<Location Of EnterNet Installer>:\ setup.exe -aclean 

6.  APPLICATION IMPROVEMENTS 

* Support for Windows ME  Structured localization (language) support.

* Added Network field to Profile Wizard (controlled by ENTERNET.INI).

* Remove PPPoE Discovery panels (controlled by ENTERNET.INI). 

* Remove Network Field control (controlled by ENTERNET.INI). 

* Registration Icon in EnterNet folder (controlled by ENTERNET.INI).

* Language selection Menu (controlled by ENTERNET.INI).  

* Message numbers for errors. 

* Packet Logging now supported on Windows NT and Windows 2k. 

* Support for PADN (auto update or routes)  Prevent "Launch at startup" on Windows 2k (runs 
  as a service).  

* Fixed bug that occurred when programming the IP address on Win 2000.  

* Fixed bug that caused Dial-on-Demand to launch multiple instances of EnterNet.  

* Fixed broken Help system links.  

* Activity indicator present when connecting to the BRAS.  

* Fixed the PPP re-negotiation bug for Shasta 5000 compatibility.  

* Fixed crash that occurred when using rawesr.  

* Improved Hibernate and standby mode behavior.  

* Removed the ParseCommandLine call from EnterNet folder.  

* Fix icon on desktop when creating a short cut.

* Resources are now in res.xxx.dll.  

* LCP Echo parameters externalized for fine tuning.  

* LCP Echo behavior fine-tuned. 

* Windows upgrade bug fix.  

* TAP driver bug fixed. 

7.  NEW ENTERNET.INI APPLICATION PARAMETERS

The following new keywords have been added to the [Configuration] section of the 
ENTERNET.INI file: 

Language= 
Determines the language. ENU (English), FRC (French), and JPN (Japanese) are the presently 
supported values, others are being created as independent updates. 

WizardShowNetwork= 
causes the Profile Wizard to prompt for a Network value 

WizardSkipDiscovery= 
causes the Profile Wizard to skip the Service discovery process. Instead, the user will be 
connected to the first responding Server, or will be connected to the Server specified in 
the Network= field in the Profile in use. 

RegistrationIcon= 
Determines if the Registration Profile will be displayed in the EnterNet folder. A value of 
1 equates to yes, 0 to no. 

RegistrationDescription= 
Identifies a Profile within the ENTERNET.INI file as being a Registration Profile. End users
cannot change the values associated with Registration Profiles. Registration Profiles have a
different appearance than do Connection Profiles: they have a blue background. To define a 
Profile as a Registration Profile, set this keyword equal to the Session= value for the 
desired Profile. 

ConnectionAnalyzer= 
This keyword controls whether or not the Connection Analyzer menu item will be present. 

The following new keywords are used within individual Connection Profiles in the 
ENTERNET.INI file: 

Network = 
Defines the network to which the User should connect, typically expressed in the form 
network.ext 

8.  Release 1.4 includes the ability to tweak the LCP echo behavior by using the Registry 
Editor. Users should take the usual precautions when editing the Registry. These parameters 
are stored in the following locations:

Windows 9x: 
\HKLM\System\CurrentControlSet\Services\Class\Net\000x

Windows NT: 
\HKLM\System\CurrentControlSet\Services\NTSPPPOE8\Parameters

Windows 2000: 
\HKLM\System\CurrentControlSet\Control\Class\{xxx}\000x

Where 000x is the enumeration of the Efficient Networks PPPoE Adapter. And {xxx} is the 
Object Identifier for the Network group on Win2000.

LcpEchoTimeout
This parameter defines the amount of time between LCP Echo Requests sent out by the client. 
This parameter is defined in PC timer tick counts. For instance if you need a value of say 
3 seconds you have to set the value to 55 (3000/55 ~= 55). If this parameter is not defined 
in the registry the default value for this parameter is set to 30 seconds.

LcpEchoRetries
This parameter defines the amount of retries the client will attempt for unacknowledged LCP 
Echo Request. If this parameter is not defined in the registry the default value for this 
parameter is set to 3. If this parameter is set to value of 0 the LCP Echo mechanism from 
the client is disabled.

LcpMRU
This parameter is used as a part of LCP Configure Request from the client to notify the 
server of it MRU size. This is arbitrary number and has no correlation with MaxFrameSize 
parameter already present in the registry. This is just used for LCP negotiation and is not 
conveyed to protocol stack etc.


9.  Known problems in this release 

Until Microsoft releases a patch for Internet Explorer that solves the "Try Again" error 
described above, some users may continue to experience the IE5 "Try Again" error.  

EnterNet Dial-on-Demand is not supported on Windows 2000 

The "Adapters that can be used by EnterNet" and the "All Adapters" views on the Profile 
Wizard's "Adapter Help" utility are not optimized for use on Windows NT or Windows 2000, 
and may not behave as expected.

The "Filter Driver" option is not available on Windows NT and Windows 2000 Dual Processor 
systems.


EnterNet 300 v1.34 for Windows

Build 9d: OEM Beta Release

Added CheckAdapters= keyword to setup.ini file, which allows OEM customers to suppress the 
installer's check for appropriate adapters with TCP/IP bindings.

Build 9c: OEM Beta Release

UNINSTALLER BUG FIX
As a result of changes made in build 9b, the uninstaller was deleting from the registry the 
keyword that defines the path to the Windows installation files. This build corrects that 
bug. 

CHANGED ForceReboot VALUE
In the SETUP.INI file, changed the value for the ForceReboot keyword from 1 to 0.

Build 9b: OEM Beta Release

INSTALLER IMPROVEMENTS
In order to improve how EnterNet integrates into customer product bundles, additional 
SETUP.INI parameters were added to the [CustomOptions] section, as follows:

WinCDNeeded= 
When this parameter is set to 0, the EnterNet installer temporarily copies files from the 
Windows and the Windows\System folders to a location where Windows can find them during 
installation. The files are deleted after the installation is complete. If this parameter 
is set to 1, the EnterNet does not engage in this behavior. Customers who are bundling 
EnterNet on computer systems that have a Windows image on the hard drive should set this 
value to 1. If this parameter is set to 1, and if the Windows install files are not present 
on the user's hard drive, the user will likely be asked to provide a Windows installation 
CD.

ForceDefaultInstall= 
During EnterNet installation, if this parameter is set to 0, the EnterNet installer will ask
the user for answers to installation related questions. If this parameter is set to 1, then 
the EnterNet installer will automatically use the default answers to any questions it might 
normally ask the user. EXCEPTION: The user will be required to take action when EnterNet 
installation is complete. See ForceReboot= for related information.

ForceReboot = 
During EnterNet installation, if this parameter is set to 0, the EnterNet installer will 
advise the user that EnterNet installation is complete, and will likely advise the user that
a reboot is required before running EnterNet. This screen will require acknowledgement from 
the user. If this parameter is set to 1, then the EnterNet installer will automatically 
perform a system reboot after EnterNet installation is complete, without requiring user 
acknowledgement.

Build 9: Generally Available Release - OEM, Eval and Retail

HELP SYSTEM IMPROVEMENTS
* Added "Advanced Packet Log" and "Advanced Tap Information" topics
* Corrected spelling errors
* Corrected faulty F1 links

Build 8: Generally Available Release - OEM and Eval

The following improvements were made in build 8:

FIXED BROKEN F1 LINKS IN HELP FILE
Some of the F1 links were not functioning correctly.

MISC HELP SYSTEM CONTENT IMPROVEMENTS
Corrected formatting problems with tables and numbered lists; rewrote the section on 
EnterNet and ICS; deleted unused items.

"ADAPTER HELP" PANELS ARE NOW PROPERLY EXTERNALIZED
The "Adapter Help" panels were not set to reference external branding data. This build 
corrects that problem. The changes in this build affect only OEM customers who wish to 
private brand EnterNet.

HELP SOURCES INCLUDED WITH ISP TOOL KIT
In build 7, the Help source files were inadvertently removed from the ISP Tool Kit.

Build 7: Generally Available Release - OEM, Retail & Eval

The following improvements were made in build 7:

IMPROVED THE INTERNET EXPLORER "TRY AGAIN" ERROR FIX
Public testing of Build 5 resulted in the recognition that an additional registry key must 
be changed to work around the IE 5 "Try Again" error. This registry key change is included 
in this build.

REQUIRES REBOOT AFTER UNINSTALL ON W2K SYSTEMS
Although technically there is no need to re-boot the computer after EnterNet is uninstalled 
on Windows 2000 OSs, the software is configured to force a reboot. This is done because 
after uninstalling the software, certain deleted registry keys remain in memory after 
EnterNet is uninstalled. If a user were to uninstall EnterNet and reinstall without first 
re-booting, registry remnants could interfere with proper re-installation.

KNOWN PROBLEMS IN THIS RELEASE
See Build 5 "Known problems...", below.


Build 6: Internal Test Build

The following improvements were made in build 6:

CORRECTED INSTALLER DEFICIENCY ON W2K SYSTEMS
Version 1.34 Cycle 5 contained an installer deficiency wherein the uninstall process on 
some Windows 2000 systems would result in a system crash and incomplete software and / or 
driver removal. This deficiency was related to the introduction of new code in cycle 5 that 
presented a new "Please Wait" dialog. In cycle 6 this dialog has been removed from the 
InstallShield code and placed into the NTSETUP.EXE code.

NTSETUP.EXE CONVERTED TO WINDOWS NATIVE FORMAT
The Efficient Networks application named NTSETUP.EXE, which was created for the sole 
purpose of installing and removing the Efficient Networks PPPoE driver on Windows 2000 
machines, has been changed from a console application to a Windows native one. As a result, 
the installer / uninstaller no longer presents a DOS box during installation / removal of 
the adapter on Windows 2000 machines.

NTSETUP.EXE NOW REMOVING THE PPPoE ADAPTER
In cycle 5, there was code in InstallShield installer that was responsible for the removal 
of the Efficient Networks PPPoE adapter. This task is now being handled by NTSETUP.EXE.


Build 5: Limited Release - Eval & Retail Sales Only

The following improvements were made in build 5:

SYMETRIC MULTI-PROCESSOR SUPPORT
This release of EnterNet supports Symmetric Multi-Processor (SMP) computers. There are no 
special installation considerations for SMP support. Simply install EnterNet per the 
instructions above.

SYBERGEN SYGATE SUPPORT
Users of Sybergen's SyGate product should review the following online FAQ item to learn 
more about using SyGate with EnterNet:
http://www.nts.com/support/FaqEnterNetWindows.html#Sygate

INTERNET EXPLORER "TRY AGAIN" ERROR CORRECTED
EnterNet now modifies the Windows registry to correct a Microsoft error that caused certain 
combinations of Windows / IE5 / EnterNet to produce an error when Internet Explorer 5.x 
would attempt to access the Internet. The error resulted in the user having to press a Try 
again button in order to connect to the Internet. 

ELIMINATED MANUAL RE-BOOT REQUIREMENT ON NT/2000
Users installing on Windows NT or Windows 2000 computers no longer need to manually restart 
their computers after installation.

ADDED "QUICK INSTALL" OPTION
The EnterNet installer now presents the user with the option to perform either a "quick 
install" or to perform a "step-by-step" install. If the quick install option is selected, 
EnterNet is installed with following default configuration parameters:

* The application is installed in the following folder:  
<boot drive>:\program files\NTS\EnterNet 300
* The installer places an EnterNet icon on the desktop
* The installer does not activate EnterNet Dial-on-Demand

"PLEASE WAIT" WINDOW NOW PRESENTED AT DRIVER INSTALL/UNINSTALL
On Windows NT / 2000 machines, during installation and removal of Efficient Networks PPPoE 
driver, the user is presented with a message advising that the process may take a few 
moments. This message is intended to prevent users from interrupting the install/uninstall 
process due to apparent inactivity.

IMPROVED THE PROFILE WIZARD
The Profile Wizard now checks all adapters to see if TCP is bound to them, and provides 
the user with warnings and Help if there is a problem with adapter selection or TCP 
bindings.

USER'S GUIDE NOW INCLUDED
During installation, the EnterNet installer now copies the EnterNet User's Guide to the 
\app subdirectory of the EnterNet installation path.


KNOWN PROBLEMS IN THIS RELEASE
* Until Microsoft releases a patch for Internet Explorer that solves the "Try Again" error 
described above, some users may continue to experience the IE5 "Try Again" error, in spite 
of Efficient Networks' attempts to work around it.

* EnterNet Dial-on-Demand does not work with Windows 2000

* The "Adapters that can be used by EnterNet" and the "All Adapters" views on the Profile 
Wizard's "Adapter Help" utility do not work correctly on Windows NT or Windows 2000.

* On Windows 2000 systems, on the Devices panel of the Profile Wizard, the "Efficient 
Networks, Inc. EnterNet P.P.P.o.E. Adapter" appears in the drop-down list of selectable 
adapters, when it should not. The user should select the physical adapter to which their 
ISP's service is connected.

* The "Filter Driver" option is not available on Windows NT and Windows 2000 systems. This 
option is normally selectable on the Advanced Settings panel, which is accessed by clicking 
the Advanced button on the Application Settings panel. In this build, the application 
defaults to the Protocol Driver, which is usually used only for multi-processor support. 
Running the Protocol Driver will not degrade performance or otherwise impair EnterNet.


EnterNet 300 v1.31 for Windows
This release of EnterNet 300 for Windows includes the following changes:

CUSTOMIZABLE MTU SIZE
EnterNet can now be packaged and delivered to end users with a predefined MTU size.

ENTERNET FOLDER BRANDING DEFICIENCY CORRECTED
A deficiency was corrected wherein the EnterNet folder application did not correctly 
reflect private branding data. Specifically, the customized application name and customized 
company name were not being displayed on the EnterNet folder title bar, or in the EnterNet 
folder About panel.

MEMORY LEAK CORRECTED
The presence and source of a memory leak was confirmed and corrected.


EnterNet 300 v1.3 for Windows
This release of EnterNet 300 for Windows included the following changes:

New Features:
* Dynamic Server & Service Selection
* Windows 2000 Support 
* Improved Performance
* Improved Stack Configuration Speed
* "Persistent Connections" Option 
* Support for 3rd Party VPN Client Software
* EnterNet as a "Service" on Windows NT/2000 
* CD-less installation
* Automatic Windows NT and Windows 2000 installation 
* Improved Help Facility
* Alternate NTS Packet Driver
* Network Health Display
* Routing Table Display
* IP Interface Information Display
* Added Support for MS NDISTEST

Dynamic Server & Service Selection
The EnterNet Connection Profile Wizard, and the EnterNet Profile Properties panel, now 
provide a Windows Explorer-like tree that enables the user to select the desired PPPoE A
ccess Concentrator (AC) from a dynamically updated list of advertised AC's. For AC's that 
are so configured, the user can select the desired Service from a list of Services 
advertised by the AC. By marking the Show advertised services in the main folder check-box 
on the EnterNet Application Settings panel, these advertised services can be displayed in 
the EnterNet folder, as well.

Windows 2000 Support
EnterNet now runs on the Windows 2000 operating system.

Improved Performance
EnterNet has been optimized to improve network throughput to nearly equal throughput 
experienced with static IP configurations.

Improved Stack Configuration Speed
A new option allows the user to select between two different internal TCP/IP configuration 
mechanisms, labeled Private API or DHCP. The Private API selection allows EnterNet to apply 
the received IP configuration parameters more quickly than does the DHCP mechanism. Because 
some 3rd party VPN clients (such as products from Shiva and TimeStep) require the DHCP 
mechanism be employed, that mechanism remains optionally selectable in EnterNet from the IP 
Configuration section of the Advanced view of the Application Settings panel.

 "Persistent Connections" Option
This release contains an option to cause EnterNet to automatically reconnect should the link 
between EnterNet and the Access Concentrator be broken for any reason other than an 
intentional, user-initiated Disconnect. This option can be enabled by marking the 
Persistence Connections radio button on the Application Settings panel.

Support for 3rd Party VPN Client Software
EnterNet now supports IPSec VPN client software from Shiva, CheckPoint, TimeStep and Nortel.

EnterNet as a "Service" on Windows NT/2000
This release contains support for running the EnterNet application as a service. This 
provides connectivity to any user logged in to NT. The older version of EnterNet forced user 
to login as administrator. Running as a service, EnterNet can now launch and establish a 
connection before a user login has been accomplished.

CD-less Installation
When a new application makes changes to Windows networking parameters (as does EnterNet 
during installation) Windows attempts to copy files from the Windows installation CD that 
may already exist on the computer's hard drive. To simplify EnterNet installation, the 
EnterNet installer anticipates this and attempts to provide Windows with all the files it 
might want, thereby negating the need for the user to have the Windows installation CD 
available at the time of EnterNet installation.

Automatic Windows NT and Windows 2000 installation
Prior versions of EnterNet required the user to manually install the EnterNet device drivers 
when installing on NT and W2K platforms. This process is now automated, requiring no user 
intervention.

Improved Help Facility
The EnterNet 300 Help facility has been revised and expanded to provide more comprehensive 
assistance to users seeking help with EnterNet.

Alternate NTS Packet Driver
This release includes an option to select an alternate, Efficient Networks packet driver. 
The default Efficient Networks packet driver, referred to as the Filter Driver on the 
Network Access section of the Advanced view of the Application Settings panel, is the 
default selection, which should be used whenever possible. The alternate Efficient Networks 
packet driver, referred to as the Protocol Driver, should be selected only when driver 
compatibility issues, as may occur with some VPN client software, are being experienced. 
The next release of EnterNet 300 will include support for multi-processor machines. The 
Protocol Driver will be the required selection for multi-processor support.

Network Health Display
Upon establishing a PPPoE connection, this release will ping all network DNS and NBNS 
servers, providing the user with visual display of the round-trip propagation delay. This 
display is presented on the Diagnostics tab of the Advanced property sheet, available by 
right-clicking the EnterNet system tray icon, after an EnterNet Connection Profile has been 
launched.

Routing Table Display
Displays the current Windows IP routing table. This display is presented on the Route Table 
tab of the Advanced property sheet, available by right-clicking the EnterNet system tray 
icon, after an EnterNet Connection Profile has been launched. information through Advanced 
menu option.

IP Interface Information Display
Displays IP configuration and statistical data for each TCP/IP-bound adapter in the system. 
This display is presented on the IP tab of the Advanced property sheet, available by 
right-clicking the EnterNet system tray icon, after an EnterNet Connection Profile has been 
launched.

Added Support for MS NDISTEST
The Efficient Networks drivers have been modified such that Microsoft NDISTEST tools can now
interact with them. 

Bug Fixes
* Fixed an adapter selection problem that occurred when multiple adapters of same type 
existed in the host machine. 

* Fixed a problem where adapter descriptions that included spaces did not match the INI 
file. 

* Fixed a bug that caused the EnterNet dialer to reload when Dial-on-Demand was enabled. 

* Fixed a bug that occurred when toggling the password checkbox.

* Fixed a bug that caused incorrect behavior when the Enter key was pressed when EnterNet 
  fold was in focus. 

* Fixed a DHCP problem on Windows NT.

* Fixed a bug that kept the VPN adapter list from being displayed in EnterNet.

* Fixed a bug caused by dragging and dropping a Connection Profile to the desktop. 

* Fixed the API to provide encryption type, selectable per connection. 

* Fixed a bug in the RAWESR module that could cause a crash when more than more than 4 PPPoE
  servers were present. 

* Fixed a Bug in the Efficient Networks NT driver (NTSTAP1.SYS) that caused an application 
  crash when certain Ethernet NICs were used. 

* Fixed a compatibility bug with CheckPoint Software SecureRemote Client 4.0. 

Enhanced and Undocumented Support Options
=========================================
The following features have been added for use by professional support staff working for 
service providers and authorized Efficient Networks partners.

Hide Profile
This release contains supports for hiding a specific session from EnterNet folder.

Set ETYPE PayLoad and Discovery
This release contains support of non-standard values for ETYPEs used by PPPoE Discovery and 
Payload frames. By default, the IETF standard 0x8863 and 0x8864 frames are used by Discovery
 and Payload respectively.

Packet Logging
Packet logging capability has been added to EnterNet to help advanced support desk personnel
identify complex network problems. Packet logging is presently available only on Windows 9x 
platforms. The packet log can be viewed in three different formats; preview, interpreted and
raw hex data. Logging supports PPPoE, PPTP, L2TP, DHCP, IP, UDP, and Efficient Networks 
control channel packets.


07-DEC-00- 08:14 RF
